DEVS-Fire API

setWindCondition

Set wind speed and direction. Both parameters are optional; omitted values default to 0.

POST
/setWindCondition

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/setWindCondition/"params: dict[str, float | str] = {    "userToken": "abc123xyz",      "windSpeed": 5.0,          # optional, default 0    "windDirection": 180.0,    # optional, default 0}response = requests.post(base_url, params=params)print(response.text)
"Set wind conditions"
{
  "timestamp": "2026-05-20T16:41:23.926+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/setWindCondition"
}

Response Body

text/plain

application/json